const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function (sequelize, DataTypes) {
  const adbuilder_assets = sequelize.define(
    'adbuilder_assets',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  adbuilder_assets.associate = (db) => {
    /// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity

    //end loop

    db.adbuilder_assets.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.adbuilder_assets.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return adbuilder_assets;
};
